﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace VideoImageBuilder.Service
{
    public class AppSettingService
    {
        private static AppSettingService _Instance;
        public static AppSettingService Instance
        {
            get
            {
                if (_Instance == null)
                {
                    _Instance = new AppSettingService();
                }
                return _Instance;
            }
        }

        private AppSettingService()
        {
            this.context = ImageBuilderContext.Instance;
        }

        public const string settingFileName = "app.ini";
        private readonly ImageBuilderContext context;

        public void LoadSetting()
        {
            if (!File.Exists(settingFileName))
            {
                return;
            }

            ImageBuilderContext setting = null;
            try
            {
                setting = JsonConvert.DeserializeObject<ImageBuilderContext>(File.ReadAllText(settingFileName));
            }
            catch
            {
                MessageBox.Show($"{settingFileName} format error");
                return;
            }

            context.ChargeboxId = setting.ChargeboxId;
            //context.VideoPath1 = setting.VideoPath1;
            //context.VideoPath2 = setting.VideoPath2;
            context.OutPutFolderPath = setting.OutPutFolderPath;
        }

        public void SaveSetting()
        {
            if (File.Exists(settingFileName))
            {
                File.Delete(settingFileName);
            }

            File.WriteAllText(settingFileName,JsonConvert.SerializeObject(context));
        }
    }
}
