﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VideoImageBuilder.Service
{
    public class ImageBuilderContext : INotifyPropertyChanged
    {
        private static ImageBuilderContext _Instance;
        public static ImageBuilderContext Instance
        {
            get
            {
                if (_Instance == null)
                {
                    _Instance = new ImageBuilderContext();
                }
                return _Instance;
            }
        }

        private ImageBuilderContext() { }


        private string _ChargeboxId;
        public string ChargeboxId
        {
            get { return _ChargeboxId; }
            set 
            {
                if (_ChargeboxId != value)
                {
                    _ChargeboxId = value;
                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(ChargeboxId)));
                }
            }
        }

        private string _VideoPath1;
        public string VideoPath1
        {
            get { return _VideoPath1; }
            set
            {
                if (_VideoPath1 != value)
                {
                    _VideoPath1 = value;
                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(VideoPath1)));
                }
            }
        }

        private string _VideoPath2;
        public string VideoPath2
        {
            get { return _VideoPath2; }
            set
            {
                if (_VideoPath2 != value)
                {
                    _VideoPath2 = value;
                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(VideoPath2)));
                }
            }
        }

        private string _ImagePath1;
        public string ImagePath1
        {
            get { return _ImagePath1; }
            set
            {
                if (_ImagePath1 != value)
                {
                    _ImagePath1 = value;
                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(ImagePath1)));
                }
            }
        }

        private string _OutPutFolderPath;
        public string OutPutFolderPath
        {
            get { return _OutPutFolderPath; }
            set
            {
                if (_OutPutFolderPath != value)
                {
                    _OutPutFolderPath = value;
                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(OutPutFolderPath)));
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
