﻿using Microsoft.WindowsAPICodePack.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Contexts;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using VideoImageBuilder.Service;

namespace VideoImageBuilder.SubPage
{
    /// <summary>
    /// GenerateImageUc.xaml 的互動邏輯
    /// </summary>
    public partial class GenerateImageUc : UserControl
    {
        public GenerateImageUc()
        {
            InitializeComponent();
            this.context = ImageBuilderContext.Instance;
            this.DataContext = this.context;

            this.uiGenerateImageService = new UiGenerateImageService();

        }

        private readonly ImageBuilderContext context;
        private readonly UiGenerateImageService uiGenerateImageService;

        private void uxBrowseButton_Click(object sender, RoutedEventArgs e)
        {
            //select file and file path
            var dlg = new CommonOpenFileDialog()
            {
                IsFolderPicker = true,
                Title = "Select image files path",
            };

            if (dlg.ShowDialog() != CommonFileDialogResult.Ok)
            {
                return;
            }

            context.OutPutFolderPath = dlg.FileName;
        }

        private void uxGenerateButton_Click(object sender, RoutedEventArgs e)
        {
            uiGenerateImageService.Start();
        }
    }
}
