﻿using Microsoft.WindowsAPICodePack.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using VideoImageBuilder.Service;

namespace VideoImageBuilder.SubPage
{
    /// <summary>
    /// VideoSelectUc.xaml 的互動邏輯
    /// </summary>
    public partial class ImageSelectUc : UserControl
    {
        public ImageSelectUc()
        {
            InitializeComponent();
            this.context = ImageBuilderContext.Instance;
            this.DataContext = this.context;
        }

        private ImageBuilderContext context;

        private void uxBrowseButton_Click(object sender, RoutedEventArgs e)
        {
            Button btn = e.Source as Button;
            if (btn is null)
            {
                return;
            }

            var dlg = new CommonOpenFileDialog()
            {
                EnsureFileExists = true,
                Title = "Select an Image file",
            };
            dlg.Filters.Add(new CommonFileDialogFilter("avaliable", "*.png,*.jpg"));
            dlg.Filters.Add(new CommonFileDialogFilter("png", "*.png"));
            dlg.Filters.Add(new CommonFileDialogFilter("jpg", "*.jpg"));

            if (dlg.ShowDialog() == CommonFileDialogResult.Ok)
            {
                if (btn == uxImageBtn1)
                {
                    context.ImagePath1 = dlg.FileName;
                }
            }
        }
    }
}
